Skip to contents

# Convert string of arguments to list of arguments

Source: `R/helpers.R`
`argsstring2list.Rd`

Idea from the answer: https://stackoverflow.com/a/62979238

## Usage

    argsstring2list(string)

## Arguments

string

  string to convert to list to use with do.call

## Value

list

## Examples

    argsstring2list("A=1:5,b=2:4")
    #> $A
    #> [1] 1 2 3 4 5
    #>
    #> $b
    #> [1] 2 3 4
    #>